%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libimobiledevice
Version:	1.0.4
Release:	1
BuildArch:	i686
License:	GPLv2	
URL:		http://matt.colyer.name/projects/iphone-linux
Group:		System/Libraries
Summary:	library for communication with Apple Ipod/IPhone
BuildRoot:	%{_tmppath}/%{name}-buildroot
Source:		%{name}-%{version}.tar.bz2

Obsoletes:	libiphone <= 0.9.6
Provides:	libiphone = %{version}-%{release}

# Patches:

# BuildRequires:
BuildRequires: swig
BuildRequires: usbmuxd-devel
BuildRequires: libusb1-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libplist-devel
BuildRequires: libtasn1-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: python26-devel
BuildRequires: zlib-devel

%description
libiphone is a software library that talks the native Apple USB protocols that the iPhone uses.
Unlike other projects, `libiphone` does not depend on using any existing `.dll` or `.so` libraries from Apple.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libiphone-devel <= 0.9.6
Provides:	libiphone = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--disable-debug PYTHON=/usr/bin/python%{PYVER}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/idevice_id
%{_bindir}/ideviceinfo
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/idevicepair
%{_bindir}/idevicescreenshot
%{_mandir}/man1/idevice_id.1.gz
%{_mandir}/man1/idevicebackup.1.gz
%{_mandir}/man1/ideviceimagemounter.1.gz
%{_mandir}/man1/ideviceinfo.1.gz
%{_mandir}/man1/idevicescreenshot.1.gz
%{_mandir}/man1/idevicesyslog.1.gz
%{_libdir}/libimobiledevice.so.*
#{_datadir}/hal/fdi/information/20thirdparty/31-apple-mobile-device.fdi
%{python_sitearch}/imobiledevice

%files devel
%defattr(-,root,root)
%{_includedir}/libimobiledevice
%{_pkgconfig}/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.a
%{_libdir}/libimobiledevice.la
%{_libdir}/libimobiledevice.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sun Oct 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Wed Feb 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.7-1
- Version update
- libiphone got renamed to libimobiledevice
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-1
- Version update
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.1-2
- python 2.6
* Fri Jul 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- initial CCux package release
